cURL
curl --request GET \
--url https://api.deepreel.com/project/assets/user_voice/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.deepreel.com/project/assets/user_voice/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.deepreel.com/project/assets/user_voice/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"gender": "Male",
"age_group": "Young",
"voice_accent": "<string>",
"stability": 123,
"style_exaggeration": 123,
"sample_audio_url": "<string>"
}
]
}{
"message": "<string>",
"detail": {}
}Voice
List Voices
Returns a list of Voices available to the user
GET
/
project
/
assets
/
user_voice
/
cURL
Authorizations
Your API key with the prefix: dr_. This is required by all endpoints to access our API programatically. You can view your API Key by navigating to the account settings panel (In the bottom left corner click on your Account → profile)
Query Parameters
Filter based on the age group of the voice.
Young- YoungAdult- AdultOld- Old
Available options:
Adult, Old, Young Filter based on the gender of voice.
Male- MaleFemale- Female
Available options:
Female, Male A page number within the paginated result set.
Number of results to return per page.
